# Remove Folders for User

```http
POST https://api.synup.com/api/v4/users/folders/remove
```

This API removes specific locations associated with a user, revoking their access to those locations.

Behavior:
- Supports removing one or multiple locations from a user.
- Updates the user’s permissions and access scope accordingly.

Source: https://developer.synup.com/api/user-management/remove-folders-for-user

## Request body

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `input` | object | required |  |
| `input.userId` | string | required | Base64 encoded user ID |
| `input.folderIds` | array of string | required | Array of folder UUIDs to remove for the user |

## Example request

```bash
curl -X POST 'https://api.synup.com/api/v4/users/folders/remove' \
  -H 'Authorization: API YOUR_API_KEY' \
  -H 'Content-Type: application/json' \
  -d '{
  "input": {
    "userId": "VXNlcjoxMDAyOA==",
    "folderIds": [
      "c1d92c09-8ddd-469e-af96-0eb64a48d647",
      "a5af4f5d-41b6-4a8a-b24f-98741b021b7b"
    ]
  }
}'
```

## Responses

| Status | Description |
| --- | --- |
| `200` | Successfully removed folders for user |
